Package org.apache.felix.webconsole

# Class WebConsoleUtil

java.lang.Object
org.apache.felix.webconsole.WebConsoleUtil

@Deprecated public final class WebConsoleUtil extends Object
Deprecated.
Some of the methods can be replaced with direct Servlet API calls.
The `WebConsoleUtil` provides various utility methods for use by Web Console plugins.

## Method Summary

Modifier and Type
Method
Description
`static final String`
`escapeHtml(String text)`
Deprecated.
It is better to use specialized encoders instead
`static final String`
`getParameter(javax.servlet.http.HttpServletRequest request, String name)`
Deprecated.
Use the Servlet API for uploads
`static final int`
`getParameterInt(javax.servlet.http.HttpServletRequest request, String name, int _default)`
Deprecated.
Retrieves a request parameter and converts it to int.
`static VariableResolver`
`getVariableResolver(javax.servlet.ServletRequest request)`
Deprecated.
Use the `RequestVariableResolver` instead.
`static final void`
`sendRedirect(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String redirectUrl)`
Deprecated.
Utility method to handle relative redirects.
`static final void`
`setNoCache(javax.servlet.http.HttpServletResponse response)`
Deprecated.
Sets response headers to force the client to not cache the response sent back.
`static void`
`setVariableResolver(javax.servlet.ServletRequest request, VariableResolver resolver)`
Deprecated.
Use the `RequestVariableResolver` instead.
`static final String`
`toString(Object value)`
Deprecated.
This method will stringify a Java object.
`static String`
`urlDecode(String value)`
Deprecated.
Decode the given value expected to be URL encoded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getVariableResolver

@Deprecated public static VariableResolver getVariableResolver(javax.servlet.ServletRequest request)
Deprecated.
Use the `RequestVariableResolver` instead.
Returns the `VariableResolver` for the given request.

If no resolver has yet be created for the requests, an instance of the `DefaultVariableResolver` is created with preset properties, placed into the request and returned. The preset properties are `appRoot` set to the value of the `WebConsoleConstants.ATTR_APP_ROOT` request attribute and `pluginRoot` set to the value of the `WebConsoleConstants.ATTR_PLUGIN_ROOT` request attribute.

Note: An object not implementing the `VariableResolver` interface already stored as the `WebConsoleConstants.ATTR_CONSOLE_VARIABLE_RESOLVER` attribute will silently be replaced by the `DefaultVariableResolver` instance.

Parameters:
  `request` - The request whose attribute is returned (or set)
Returns:
  The `VariableResolver` for the given request.

### setVariableResolver

@Deprecated public static void setVariableResolver(javax.servlet.ServletRequest request, VariableResolver resolver)
Deprecated.
Use the `RequestVariableResolver` instead.
Sets the `VariableResolver` as the `WebConsoleConstants.ATTR_CONSOLE_VARIABLE_RESOLVER` attribute in the given request. An attribute of that name already existing is silently replaced.

Parameters:
  `request` - The request whose attribute is set
  `resolver` - The `VariableResolver` to place into the request

### getParameter

@Deprecated public static final String getParameter(javax.servlet.http.HttpServletRequest request, String name)
Deprecated.
Use the Servlet API for uploads
An utility method to get a parameter value

Parameters:
  `request` - the HTTP request coming from the user
  `name` - the name of the parameter
Returns:
  The value or `null`.

### sendRedirect

public static final void sendRedirect(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String redirectUrl) throws IOException
Deprecated.
Utility method to handle relative redirects. Some application servers like Web Sphere handle relative redirects differently therefore we should make an absolute URL before invoking send redirect.

Parameters:
  `request` - the HTTP request coming from the user
  `response` - the HTTP response, where data is rendered
  `redirectUrl` - the redirect URI.
Throws:
  `IOException` - If an input or output exception occurs
  `IllegalStateException` - If the response was committed or if a partial URL is given and cannot be converted into a valid URL

### setNoCache

public static final void setNoCache(javax.servlet.http.HttpServletResponse response)
Deprecated.
Sets response headers to force the client to not cache the response sent back. This method must be called before the response is committed otherwise it will have no effect.

This method sets the `Cache-Control`, `Expires`, and `Pragma` headers.

Parameters:
  `response` - The response for which to set the cache prevention

### escapeHtml

@Deprecated public static final String escapeHtml(String text)
Deprecated.
It is better to use specialized encoders instead
Escapes HTML special chars like: <>&\r\n and space

Parameters:
  `text` - the text to escape
Returns:
  the escaped text

### getParameterInt

public static final int getParameterInt(javax.servlet.http.HttpServletRequest request, String name, int _default)
Deprecated.
Retrieves a request parameter and converts it to int.

Parameters:
  `request` - the HTTP request
  `name` - the name of the request parameter
  `_default` - the default value returned if the parameter is not set or is not a valid integer.
Returns:
  the request parameter if set and is valid integer, or the default value

### urlDecode

public static String urlDecode(String value)
Deprecated.
Decode the given value expected to be URL encoded.

This method first tries to use the Java 1.4 method `URLDecoder.decode(String, String)` method and falls back to the now deprecated `URLDecoder.decode(String, String)` which uses the platform character set to decode the string. This is because the platforms before 1.4 and most notably some OSGi Execution Environments (such as Minimum EE) do not provide the newer method.

Parameters:
  `value` - the value to decode
Returns:
  the decoded string

### toString

public static final String toString(Object value)
Deprecated.
This method will stringify a Java object. It is mostly used to print the values of unknown properties. This method will correctly handle if the passed object is array and will property display it. If the value is byte[] the elements are shown as Hex

Parameters:
  `value` - the value to convert
Returns:
  the string representation of the value